Skip to main content
GET
/
people
/
{personId}
Get a person by ID
curl --request GET \
  --url https://api.klipy.ai/api/v1/people/{personId} \
  --header 'X-Klipy-Api-Key: <api-key>'
{
  "object": "success",
  "data": {
    "id": "<string>",
    "email": "jsmith@example.com",
    "firstName": "<string>",
    "lastName": "<string>",
    "title": "<string>",
    "phone": "<string>",
    "personalPhone": "<string>",
    "linkedin": "<string>",
    "twitter": "<string>",
    "facebook": "<string>",
    "instagram": "<string>",
    "whatsapp": "<string>",
    "altEmails": [
      "jsmith@example.com"
    ],
    "remarks": "<string>",
    "companyId": "<string>",
    "owner": "<string>",
    "createdBy": "<string>",
    "creationTime": "2023-11-07T05:31:56Z",
    "lastInteraction": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "request_id": "req_abc123",
    "api_version": "1",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-Klipy-Api-Key
string
header
required

API key passed as a header

Path Parameters

personId
string
required

Unique ID of the person

Response

Person retrieved

object
string
required
Example:

"success"

data
object
required

The returned resource

meta
object
required
Last modified on April 5, 2026